SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000465SOGoBackend Address Bookpublic2010-03-03 09:052010-06-22 16:20
Reporteraschild 
Assigned Toludovic 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.2.1 
Target Version1.3.0Fixed in Version1.3.0 
Summary0000465: TRUE in Ldap filters are replaced with YES, leading to invalid ldap search expression
DescriptionIn the ldap address book (for canAuthenticate=YES) the following filter
works:

filter = "(objectClass=JammMailAccount)";

This filter does not work

filter = "(objectClass=JammMailAccount AND accountActive=TRUE)";

the reason is, that the query sent to the LDAP server
has the form

(&(objectClass=JammMailAccount)(accountActive=YES))

This then does not match the TRUE/FALSE values in the LDAP directory.
Additional InformationIt is Sogo 1.2.1 on Debian Lenny, and the ldap server is Openldap 2.4.11
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0001003)
aschild (reporter)
2010-05-12 02:01

Wrapping the values in '' works.

filter = "(objectClass='JammMailAccount' AND accountActive='TRUE' AND deleted='FALSE')";

So this one could be closed, but perhaps documented somewhere.
User avatar (0001120)
ludovic (administrator)
2010-06-22 16:20

http://mtn.inverse.ca/revision/diff/60c0036b3723ee42d8b8cbed474b6c6eac6c5e9a/with/009abd7de53e78e489e448345fde9f38d62f532a [^]

- Issue History
Date Modified Username Field Change
2010-03-03 09:05 aschild New Issue
2010-05-12 02:01 aschild Note Added: 0001003
2010-05-28 14:41 ludovic Status new => assigned
2010-05-28 14:41 ludovic Assigned To => ludovic
2010-06-10 21:04 ludovic Target Version => 1.2.3
2010-06-22 16:20 ludovic Note Added: 0001120
2010-06-22 16:20 ludovic Status assigned => resolved
2010-06-22 16:20 ludovic Fixed in Version => 1.3.0
2010-06-22 16:20 ludovic Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker